Package ru.bitel.bgbilling.plugins.edo.common.service

# Interface EdoBillService

@MTOM(enabled=true) public interface EdoBillService
Действия над эдо, связанные с модулем bill.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ru.bitel.bgbilling.common.dto.FileDto`
  `saveEdoFile(int billModuleId, int documentTypeId, int signatoryId, ContragentInfos contragentInfos, DocumentType billDocType, Integer billDocId)`
  Выгрузка одного файла для эдо.
  `ru.bitel.bgbilling.common.dto.FileDto`
  `saveFile(String formatId, int billModuleId, List<Integer> billListIds, List<Integer> invoiceListIds)`
  !
  `List<ExtDocument>`
  `send(String formatId, int billModuleId, List<Integer> billListIds, List<Integer> invoiceListIds)`
  !
  `ExtDocument`
  `sendEdo(int billModuleId, int documentTypeId, int signatoryId, ContragentInfos contragentInfos, DocumentType billDocType, Integer billDocId, boolean sign)`
  Отправка одного документа в эдо.

- ## Method Details

  - ### saveFile

    ru.bitel.bgbilling.common.dto.FileDto saveFile(String formatId, int billModuleId, List<Integer> billListIds, List<Integer> invoiceListIds) throws ru.bitel.bgbilling.common.BGException
    ! В данный момент не используется, лишено смысла. Выгрузка одного или нескольких (в виде zip) файлов для эдо. Формат с двумя списками ид по аналогии с другими местами где обрабатываются массово документы обоих видов (хотя в данное время в большинстве мест только один из списков может быть заполнен, при использовании юзером в клиенте)
    Parameters:
      `formatId` - ид формата (строковом виде док_подписант как возвращает formatsList)
      `billModuleId` - mid модуля bill который вызывает сервис и к которому относятся ids документов ниже
      `billListIds` - список ид счетов
      `invoiceListIds` - список ид с.ф.
    Returns:
      файл
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### send

    List<ExtDocument> send(String formatId, int billModuleId, List<Integer> billListIds, List<Integer> invoiceListIds) throws ru.bitel.bgbilling.common.BGException
    ! В данный момент не используется, лишено смысла. Отправка одного или нескольких документов в эдо. См. описание saveFile. Возвращает сгенерённые документы в виду листа ExtDocument.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### saveEdoFile

    ru.bitel.bgbilling.common.dto.FileDto saveEdoFile(int billModuleId, int documentTypeId, int signatoryId, ContragentInfos contragentInfos, DocumentType billDocType, Integer billDocId) throws ru.bitel.bgbilling.common.BGException
    Выгрузка одного файла для эдо.
    Parameters:
      `billModuleId` - mid модуля bill который вызывает сервис и к которому относятся ids документов ниже
      `documentTypeId` - ид типа документа
      `signatoryId` - ид подписанта
      `contragentInfos` - инфа о контрагенте, актуальная, после поиска на клиенте
      `billDocType` - тип документа bill
      `billDocId` - ид документа bill
    Returns:
      файл
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### sendEdo

    ExtDocument sendEdo(int billModuleId, int documentTypeId, int signatoryId, ContragentInfos contragentInfos, DocumentType billDocType, Integer billDocId, boolean sign) throws ru.bitel.bgbilling.common.BGException
    Отправка одного документа в эдо. См. описание saveEdoFile. Возвращает сгенерённый документ ExtDocument.
    Throws:
      `ru.bitel.bgbilling.common.BGException`